import { AbstractFormatter } from '@fern-api/browser-compatible-base-generator';
import { D as DynamicSnippetsGeneratorContext } from './DynamicSnippetsGeneratorContext-DKWsHJSo.js';
import { dynamic } from '@fern-fern/ir-sdk/api';
import '@fern-api/go-ast';
import './TypeInstance.js';
import './DiscriminatedUnionTypeInstance.js';
import './context/ErrorReporter.js';

declare class EndpointSnippetGenerator {
    private context;
    private formatter;
    constructor({ context, formatter }: {
        context: DynamicSnippetsGeneratorContext;
        formatter?: AbstractFormatter;
    });
    generateSnippet({ endpoint, request }: {
        endpoint: dynamic.Endpoint;
        request: dynamic.EndpointSnippetRequest;
    }): Promise<string>;
    generateSnippetSync({ endpoint, request }: {
        endpoint: dynamic.Endpoint;
        request: dynamic.EndpointSnippetRequest;
    }): string;
    private buildCodeBlock;
    private constructClient;
    private callMethod;
    private getConstructorArgs;
    private getConstructorAuthArg;
    private getConstructorBasicAuthArg;
    private getConstructorBearerAuthArg;
    private getConstructorHeaderAuthArg;
    private getConstructorHeaderArgs;
    private getConstructorHeaderArg;
    private getMethodArgs;
    private getMethodArgsForBodyRequest;
    private getBodyRequestArg;
    private getBytesBodyRequestArg;
    private getMethodArgsForInlinedRequest;
    private getFilePropertyInfo;
    private getInlinedRequestArg;
    private getInlinedRequestBodyStructFields;
    private getFileUploadRequestBodyStructFields;
    private getReferencedRequestBodyPropertyStructField;
    private getReferencedRequestBodyPropertyTypeInstantiation;
    private getInlinedRequestBodyPropertyStructFields;
    private getPathParameters;
    private getMethod;
    private getRootClientFuncInvocation;
    private newAuthMismatchError;
}

export { EndpointSnippetGenerator };
